# \Thelia\Core\Event\InternalInternalEvent

Base class used for internal event like creating new Customer, adding item to cart, etc

Class InternalEvent

## Summary

Methods
Properties
Constants
No public methods found
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  Core/Event/Internal/InternalEvent.php
Package
  \Thelia\Core\Event
Class hierarchy
  \Symfony\Component\EventDispatcher\Event
  \Thelia\Core\Event\Internal\InternalEvent

## Tags

None found

### InternalEvent.php